Core - Retrieve an MCP gateway
curl --get 'https://api.orq.ai/v2/mcp-gateways/01JQ0M8W4T5YB2Q7N1F6K3PZRC' \
--header 'Authorization: Bearer $ORQ_API_KEY'
import { Orq } from '@orq-ai/node';
const client = new Orq({
apiKey: process.env.ORQ_API_KEY,
});
const result = await client.mcpGateways.retrieve({
id: '01JQ0M8W4T5YB2Q7N1F6K3PZRC',
});
// publicUrl is the endpoint MCP clients connect to.
console.log(result.mcpGateway.publicUrl, result.mcpGateway.status);
import os
from orq_ai_sdk import Orq
client = Orq(api_key=os.environ["ORQ_API_KEY"])
result = client.mcp_gateways.retrieve(id="01JQ0M8W4T5YB2Q7N1F6K3PZRC")
# public_url is the endpoint MCP clients connect to.
print(result.mcp_gateway.public_url, result.mcp_gateway.status)
{
"mcp_gateway": {
"id": "<string>",
"key": "<string>",
"display_name": "<string>",
"description": "<string>",
"server_links": [
{
"mcp_server_id": "<string>",
"alias": "<string>",
"tool_exposure": {
"mode": "MCP_TOOL_EXPOSURE_MODE_UNSPECIFIED",
"read_only": true,
"tool_ids": [
"<string>"
]
},
"enabled": true
}
],
"tool_naming": "MCP_TOOL_NAMING_UNSPECIFIED",
"status": "MCP_GATEWAY_STATUS_UNSPECIFIED",
"public_url": "<string>",
"created": "<string>",
"updated": "<string>",
"exposed_tools_count": 123,
"mode": "MCP_GATEWAY_MODE_UNSPECIFIED",
"sharing": {
"all_projects": {},
"selected": {
"project_ids": [
"<string>"
]
},
"allow_version_pin": true,
"allow_fork": true,
"auto_grant_new_projects": true
}
}
}MCP Gateways
Retrieve an MCP gateway
Retrieves the details of an existing MCP gateway by its unique ID.
GET
/
v2
/
mcp-gateways
/
{id}
Core - Retrieve an MCP gateway
curl --get 'https://api.orq.ai/v2/mcp-gateways/01JQ0M8W4T5YB2Q7N1F6K3PZRC' \
--header 'Authorization: Bearer $ORQ_API_KEY'
import { Orq } from '@orq-ai/node';
const client = new Orq({
apiKey: process.env.ORQ_API_KEY,
});
const result = await client.mcpGateways.retrieve({
id: '01JQ0M8W4T5YB2Q7N1F6K3PZRC',
});
// publicUrl is the endpoint MCP clients connect to.
console.log(result.mcpGateway.publicUrl, result.mcpGateway.status);
import os
from orq_ai_sdk import Orq
client = Orq(api_key=os.environ["ORQ_API_KEY"])
result = client.mcp_gateways.retrieve(id="01JQ0M8W4T5YB2Q7N1F6K3PZRC")
# public_url is the endpoint MCP clients connect to.
print(result.mcp_gateway.public_url, result.mcp_gateway.status)
{
"mcp_gateway": {
"id": "<string>",
"key": "<string>",
"display_name": "<string>",
"description": "<string>",
"server_links": [
{
"mcp_server_id": "<string>",
"alias": "<string>",
"tool_exposure": {
"mode": "MCP_TOOL_EXPOSURE_MODE_UNSPECIFIED",
"read_only": true,
"tool_ids": [
"<string>"
]
},
"enabled": true
}
],
"tool_naming": "MCP_TOOL_NAMING_UNSPECIFIED",
"status": "MCP_GATEWAY_STATUS_UNSPECIFIED",
"public_url": "<string>",
"created": "<string>",
"updated": "<string>",
"exposed_tools_count": 123,
"mode": "MCP_GATEWAY_MODE_UNSPECIFIED",
"sharing": {
"all_projects": {},
"selected": {
"project_ids": [
"<string>"
]
},
"allow_version_pin": true,
"allow_fork": true,
"auto_grant_new_projects": true
}
}
}Was this page helpful?
⌘I